export default function getAttributeValues(_ref) {
  let {
    element,
    attributes
  } = _ref;
  const values = {};

  for (let attr of attributes) {
    const value = element.getAttribute(attr);
    const key = attr.replace('data-', '');

    if (value) {
      values[key] = value;
    }
  }

  return values;
}
;