import { useEffect } from 'react';
import { removeGlobalService, setGlobalService } from "../helpers/handleGloabeService";

const useGlobalService = (serviceName, serviceFunctions) => {
  useEffect(() => {
    setGlobalService(serviceName, serviceFunctions);
    return () => {
      removeGlobalService(serviceName);
    };
  }, [serviceName, serviceFunctions]);
};

export default useGlobalService;