// import { DUMMY_ARRAY, DUMMY_OBJECT } from "./constant";
// const eventListenersMap = new Map();
export const dispatchCustomEvent = _ref => {
  let {
    eventName,
    detail,
    dispatchElementRef
  } = _ref;
  const event = new CustomEvent(eventName, {
    bubbles: true,
    detail
  });

  if (dispatchElementRef) {
    dispatchElementRef.dispatchEvent(event);
  } else {
    window.dispatchEvent(event);
  }
};
export const addCustomEventListener = _ref2 => {
  let {
    eventName,
    callback,
    dispatchElementRef
  } = _ref2;
  const target = dispatchElementRef || window; // const listeners = eventListenersMap.get(target) || DUMMY_OBJECT;
  // if (!listeners[eventName]) {
  //     listeners[eventName] = DUMMY_ARRAY;
  // }
  // listeners[eventName].push(callback);

  target.addEventListener(eventName, callback); // eventListenersMap.set(target, listeners);
};
export const removeCustomEventListener = _ref3 => {
  let {
    eventName,
    callback,
    dispatchElementRef
  } = _ref3;
  const target = dispatchElementRef || window; // const listeners = eventListenersMap.get(target);
  // if (listeners && listeners[eventName]) {
  // const index = listeners[eventName].indexOf(callback);

  if (index !== -1) {
    // listeners[eventName].splice(index, 1);
    target.removeEventListener(eventName, callback);
  } // if (listeners[eventName].length === 0) {
  //     delete listeners[eventName];
  // }
  // if (Object.keys(listeners).length === 0) {
  //     eventListenersMap.delete(target);
  // } else {
  //     eventListenersMap.set(target, listeners);
  // }
  // }

};