export const setGlobalService = (serviceName, serviceFunctions) => {
  if (!global.DOTServices) {
    global.DOTServices = {};
  }

  global.DOTServices[serviceName] = serviceFunctions;
};
export const removeGlobalService = serviceName => {
  if (global.DOTServices && global.DOTServices[serviceName]) {
    delete global.DOTServices[serviceName];
  }

  if (global.DOTServices && Object.keys(global.DOTServices).length === 0) {
    delete global.DOTServices;
  }
};