import { DUMMY_OBJECT } from "./constant";
export const mergeObjects = _ref => {
  let {
    object,
    newObject
  } = _ref;
  return { ...object,
    ...newObject
  };
};
export const emptyObject = () => {
  return DUMMY_OBJECT;
};
export const updateObjectValue = _ref2 => {
  let {
    object,
    key,
    value
  } = _ref2;
  return { ...object,
    [key]: value
  };
};
export const removeObjectKeys = _ref3 => {
  let {
    object,
    keys
  } = _ref3;
  const newObject = { ...object
  };

  if (Array.isArray(keys)) {
    keys.forEach(key => {
      delete newObject[key];
    });
  } else {
    delete newObject[keys];
  }

  return newObject;
};