"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hideAtachmentViewer = hideAtachmentViewer;
exports.showAtachmentViewer = showAtachmentViewer;

var _constant = require("../../../service/helpers/constant");

function showAtachmentViewer(payload) {
  dispatchCustomEvent({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_SHOW_ATTACHMENT_VIEWER,
      payload: payload
    }
  });
}

function hideAtachmentViewer() {
  dispatchCustomEvent({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_HIDE_ATTACHMENT_VIEWER // Removed trailing comma

    }
  });
}