"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = require("react");

var _handleGloabeService = require("../helpers/handleGloabeService");

var useGlobalService = function useGlobalService(serviceName, serviceFunctions) {
  (0, _react.useEffect)(function () {
    (0, _handleGloabeService.setGlobalService)(serviceName, serviceFunctions);
    return function () {
      (0, _handleGloabeService.removeGlobalService)(serviceName);
    };
  }, [serviceName, serviceFunctions]);
};

var _default = useGlobalService;
exports["default"] = _default;