import { DOT_SERVICE_EVENT, DOT_SERVICE_EVENT_TYPE_HIDE_ATTACHMENT_VIEWER, DOT_SERVICE_EVENT_TYPE_SHOW_ATTACHMENT_VIEWER } from "../../../service/helpers/constant";
import { dispatchCustomEvent } from "../../../service/helpers/customEventDispatcher";
export function showAtachmentViewer(payload) {
  dispatchCustomEvent({
    eventName: DOT_SERVICE_EVENT,
    detail: {
      type: DOT_SERVICE_EVENT_TYPE_SHOW_ATTACHMENT_VIEWER,
      payload
    }
  });
}
export function hideAtachmentViewer() {
  dispatchCustomEvent({
    eventName: DOT_SERVICE_EVENT,
    detail: {
      type: DOT_SERVICE_EVENT_TYPE_HIDE_ATTACHMENT_VIEWER
    }
  });
}